Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157694 - CAN-2005-0448 perl File::Path.pm rmtree race condition
Summary: CAN-2005-0448 perl File::Path.pm rmtree race condition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Petr Rockai
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050309,source=cve...
Depends On:
Blocks: 156322 perl_RHEL4
TreeView+ depends on / blocked
 
Reported: 2005-05-13 20:38 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-674
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:33:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch from Ubuntu, this is going to to need some cleaning up. (deleted)
2005-05-13 20:38 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:674 qe-ready SHIPPED_LIVE Low: perl security update 2005-10-05 04:00:00 UTC

Description Josh Bressers 2005-05-13 20:38:29 UTC
Race condition in the rmtree function in File::Path.pm in Perl before 5.8.4
allows local users to create arbitrary setuid binaries in the tree being
deleted, a different vulnerability than CAN-2004-0452.

http://marc.theaimsgroup.com/?l=bugtraq&m=111039131424834&w=2

Comment 1 Josh Bressers 2005-05-13 20:38:29 UTC
Created attachment 114350 [details]
Patch from Ubuntu, this is going to to need some cleaning up.

Comment 10 Red Hat Bugzilla 2005-10-05 12:33:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-674.html



Note You need to log in before you can comment on or make changes to this bug.